Subject: bug#23568: 25.0.94; Mode line menus appear incorrectly in some monitor configurations

From: martin rudalics <[email-masked]>
Date: Wed, 31 May 2017 11:26:34 +0200

> Martin, since you were involved with bug#22549, what do you think? Does
 > this seem reasonable, and should this functionality (window dimensions
 > of the current position's monitor) be extracted into its own procedure?

I think so.

But in addition I would like two functions, say display_monitor_geometry
and display_monitor_workarea (maybe in frame.c), so we can avoid the
Fx_display_monitor_attributes_list detour when we want the dimensions of
the dominating monitor for a particular frame only.

martin